///
/// Code generated by jsonToDartModel https://ashamp.github.io/jsonToDartModel/
///
class PointActionOutDataFetchPointActionOut {
/*
{
  "id": 13,
  "name": "Thanh toán đơn hàng",
  "action": "PAY_FOR_ORDER",
  "actionType": "OUT",
  "point": 0,
  "status": "ACTIVE",
  "maximumPoint": 58
}
*/

  int? id;
  String? name;
  String? action;
  String? actionType;
  int? point;
  String? status;
  int? maximumPoint;

  PointActionOutDataFetchPointActionOut({
    this.id,
    this.name,
    this.action,
    this.actionType,
    this.point,
    this.status,
    this.maximumPoint,
  });
  PointActionOutDataFetchPointActionOut.fromJson(Map<String, dynamic> json) {
    id = json['id']?.toInt();
    name = json['name']?.toString();
    action = json['action']?.toString();
    actionType = json['actionType']?.toString();
    point = json['point']?.toInt();
    status = json['status']?.toString();
    maximumPoint = json['maximumPoint']?.toInt();
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['id'] = id;
    data['name'] = name;
    data['action'] = action;
    data['actionType'] = actionType;
    data['point'] = point;
    data['status'] = status;
    data['maximumPoint'] = maximumPoint;
    return data;
  }
}

class PointActionOutData {
/*
{
  "fetchPointActionOut": [
    {
      "id": 13,
      "name": "Thanh toán đơn hàng",
      "action": "PAY_FOR_ORDER",
      "actionType": "OUT",
      "point": 0,
      "status": "ACTIVE",
      "maximumPoint": 58
    }
  ]
}
*/

  List<PointActionOutDataFetchPointActionOut?>? fetchPointActionOut;

  PointActionOutData({
    this.fetchPointActionOut,
  });
  PointActionOutData.fromJson(Map<String, dynamic> json) {
    if (json['fetchPointActionOut'] != null) {
      final v = json['fetchPointActionOut'];
      final arr0 = <PointActionOutDataFetchPointActionOut>[];
      v.forEach((v) {
        arr0.add(PointActionOutDataFetchPointActionOut.fromJson(v));
      });
      fetchPointActionOut = arr0;
    }
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (fetchPointActionOut != null) {
      final v = fetchPointActionOut;
      final arr0 = [];
      v!.forEach((v) {
        arr0.add(v!.toJson());
      });
      data['fetchPointActionOut'] = arr0;
    }
    return data;
  }
}

class PointActionOut {
/*
{
  "data": {
    "fetchPointActionOut": [
      {
        "id": 13,
        "name": "Thanh toán đơn hàng",
        "action": "PAY_FOR_ORDER",
        "actionType": "OUT",
        "point": 0,
        "status": "ACTIVE",
        "maximumPoint": 58
      }
    ]
  }
}
*/

  PointActionOutData? data;

  PointActionOut({
    this.data,
  });
  PointActionOut.fromJson(Map<String, dynamic> json) {
    data = (json['data'] != null) ? PointActionOutData.fromJson(json['data']) : null;
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (data != null) {
      data['data'] = this.data!.toJson();
    }
    return data;
  }
}
